## flexbar 2.34

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(FLEXBAR)

#file(MAKE_DIRECTORY build)
set(EXECUTABLE_OUTPUT_PATH ${FLEXBAR_BINARY_DIR})

ADD_SUBDIRECTORY(src)

IF(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE Release CACHE STRING
		"Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

=== src/CMakeLists.txt ===

INCLUDE_DIRECTORIES(${FLEXBAR_SOURCE_DIR}/include)

# LINK_DIRECTORIES(${FLEXBAR_SOURCE_DIR}/lib/linux64)

ADD_EXECUTABLE(flexbar Flexbar.cpp)
TARGET_LINK_LIBRARIES(flexbar tbb)

=== debian/changelog ===
flexbar (2.34-1) unstable; urgency=low

  [ Tony Travis ]
  * Updated from new upstream sources
  * debian/control: Architecture: amd64 ia64
    Closes: #705382
  * debian/copyright: Files: include/tbb/* is not part of upstream source
    any more so drop this paragraph

  [ Andreas Tille ]
  * New upstream version (adapt quilt patch)
  * debian/flexbar.1: Enhanced help2man output
  * debian/control: also enable other architectures featuring libtbb-dev
    (i386, powerpc)
  * Replace d/README.Debian by an updated README.source which documents
    the usage of a possible use of Debian packaged seqan library
  * debian/README.test:  Running the tests manually uncovers two
    problems.  It needs to be investigated whether the tests are just
    broken or the package has a problem
  * add_shebang_to_tests.patch: Add shebang line to shell scripts
  * debian/rules: clean up potential test results

 -- Andreas Tille <tille@debian.org>  Thu, 13 Jun 2013 13:02:17 +0200

flexbar (2.32-1) unstable; urgency=low

  * Initial release (Closes: #701539)

 -- Tony Travis <ajt@minke.ukfsn.org>  Sat, 23 Feb 2013 11:24:05 +0000

=== debian/control ===
Source: flexbar
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
  Tony Travis <ajt@minke.ukfsn.org>
Build-Depends: debhelper (>= 9), libtbb-dev, cmake
Standards-Version: 3.9.4
Homepage: https://sourceforge.net/projects/flexbar/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/flexbar/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/flexbar/trunk/

Package: flexbar
Architecture: i386 amd64 ia64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: flexible barcode and adapter removal for sequencing platforms
 Flexbar preprocesses high-throughput sequencing data efficiently. It
 demultiplexes barcoded runs and removes adapter sequences. Moreover,
 trimming and filtering features are provided. Flexbar increases mapping
 rates and improves genome and transcriptome assemblies. It supports
 next-generation sequencing data in fasta/q and csfasta/q format from
 Illumina, Roche 454, and the SOLiD platform.
 .
 Parameter names changed in Flexbar. Please review scripts. The recent
 months, default settings were optimised, several bugs were fixed and
 various improvements were made, e.g. revamped command-line interface,
 new trimming modes as well as lower time and memory requirements.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f test/result_*fast[aq]

#get-orig-source:
#	. debian/get-orig-source

=== debian/watch ===
version=3
http://sf.net/flexbar/flexbar_v(.*)_src\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flexbar 2.40

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8.0 )

project( FLEXBAR )

#file( MAKE_DIRECTORY build )
set( EXECUTABLE_OUTPUT_PATH ${FLEXBAR_BINARY_DIR} )

add_subdirectory( src )

if( NOT CMAKE_BUILD_TYPE )
	set( CMAKE_BUILD_TYPE Release CACHE STRING
		"Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE )
endif()

=== src/CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8.0 )

# include_directories( ${FLEXBAR_SOURCE_DIR}/include )
# link_directories( ${FLEXBAR_SOURCE_DIR}/lib )

add_executable( flexbar Flexbar.cpp )
target_link_libraries( flexbar tbb )


find_package( ZLIB )
if( ZLIB_FOUND )
    include_directories( ${ZLIB_INCLUDE_DIRS} )
    target_link_libraries( flexbar ${ZLIB_LIBRARIES} )
	add_definitions( "-DSEQAN_HAS_ZLIB=1" )
else()
	message( STATUS "Build will not support zlib!" )
endif()


find_package( BZip2 )
if( BZIP2_FOUND )
	include_directories( ${BZIP2_INCLUDE_DIRS} )
	target_link_libraries( flexbar ${BZIP2_LIBRARIES} )
	add_definitions( "-DSEQAN_HAS_BZIP2=1" )
else()
	message( STATUS "Build will not support bzip2!" )
endif()

=== debian/changelog ===
flexbar (2.40-2) unstable; urgency=medium

  * Versioned Build-Depends from seqan-dev (>= 1.4.1)

 -- Andreas Tille <tille@debian.org>  Tue, 04 Feb 2014 21:06:18 +0100

flexbar (2.40-1) unstable; urgency=low

  * New upstream release
  * Adapt quilt patches to new upstream + make sure test scripts will
    fail on errors
  * debian/watch: adapt to upstream versioning scheme
  * debian/control:
     - Architecture any since upstream fixed build system for 32bit systems
     - cme fix dpkg-control
  * Build against Debian packaged seqan
  * debian/README.source: convinience copy of seqan removed by upstream
  * debian/flexbar.1: Update manpage to new upstream version
  * debian/README.test: Describe that not all tests are working properly

 -- Andreas Tille <tille@debian.org>  Fri, 31 Jan 2014 12:55:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: flexbar
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Tony Travis <ajt@minke.ukfsn.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-  Tony Travis <ajt@minke.ukfsn.org>
-Build-Depends: debhelper (>= 9), libtbb-dev, cmake
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+               libtbb-dev,
+               cmake,
+               seqan-dev (>= 1.4.1)
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/flexbar/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/flexbar/trunk/
 Homepage: https://sourceforge.net/projects/flexbar/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/flexbar/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/flexbar/trunk/
 
 Package: flexbar
-Architecture: i386 amd64 ia64 powerpc
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: flexible barcode and adapter removal for sequencing platforms
  Flexbar preprocesses high-throughput sequencing data efficiently. It
  demultiplexes barcoded runs and removes adapter sequences. Moreover,

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f test/result_*fast[aq]

## flexbar 2.50

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8.2 )

project( FLEXBAR )

set( EXECUTABLE_OUTPUT_PATH ${FLEXBAR_BINARY_DIR} )

add_subdirectory( src )

if( NOT CMAKE_BUILD_TYPE )
	set( CMAKE_BUILD_TYPE Release CACHE STRING
		"Choose the type of build: None Debug Release RelWithDebInfo MinSizeRel." FORCE )
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,16 @@
-cmake_minimum_required( VERSION 2.8.0 )
+cmake_minimum_required( VERSION 2.8.2 )
 
 # include_directories( ${FLEXBAR_SOURCE_DIR}/include )
 # link_directories( ${FLEXBAR_SOURCE_DIR}/lib )
 
+if( CMAKE_SIZEOF_VOID_P MATCHES "8" )
+	message( STATUS "Flexbar 64 bit architecture" )
+else()
+	message( STATUS "Flexbar 32 bit architecture" )
+endif()
+
 add_executable( flexbar Flexbar.cpp )
 target_link_libraries( flexbar tbb )
-
 
 find_package( ZLIB )
 if( ZLIB_FOUND )
@@ -16,7 +21,6 @@
 	message( STATUS "Build will not support zlib!" )
 endif()
 
-
 find_package( BZip2 )
 if( BZIP2_FOUND )
 	include_directories( ${BZIP2_INCLUDE_DIRS} )
@@ -26,4 +30,3 @@
 	message( STATUS "Build will not support bzip2!" )
 endif()
 
-

=== debian/changelog ===
flexbar (2.50-2) unstable; urgency=medium

  * Fix bashisms in tests
    Closes: #772255
  * cme fix dpkg-control
  * exclude false lintian positives
  * d/control: do not mention removed file

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2015 23:31:13 +0100

flexbar (2.50-1) unstable; urgency=medium

  * New upstream version (patches applied)
  * Add zlib1g-dev and libbz2-dev as Build-Depends
  * Fixed upstream contact

 -- Andreas Tille <tille@debian.org>  Fri, 04 Jul 2014 14:51:25 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends: debhelper (>= 9),
                libtbb-dev,
                cmake,
-               seqan-dev (>= 1.4.1)
-Standards-Version: 3.9.5
+               seqan-dev (>= 1.4.1),
+               zlib1g-dev,
+               libbz2-dev
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/flexbar/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/flexbar/trunk/
 Homepage: https://sourceforge.net/projects/flexbar/

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@

override_dh_auto_test:
	cd test ; \
	export PATH="$(CURDIR)/obj-$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE):$$PATH" ; \
	echo $$PATH ; \
	which flexbar ; \
	./flexbar_validate.sh

override_dh_auto_clean:
	dh_auto_clean
	rm -f test/result_*fast[aq]

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)\.(\d)$/$1.$20/ \
  http://sf.net/flexbar/flexbar_v(.*)_src\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flexbar 3.0.3

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8.2 )

project( FLEXBAR )

set( SEQAN_APP_VERSION "3.0.3" )

include_directories( ${FLEXBAR_SOURCE_DIR}/include )
# link_directories( ${FLEXBAR_SOURCE_DIR}/lib )

# file( MAKE_DIRECTORY build )

set( EXECUTABLE_OUTPUT_PATH ${FLEXBAR_BINARY_DIR} )

add_subdirectory( src )

if( NOT CMAKE_BUILD_TYPE )
	set( CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build: None Debug Release RelWithDebInfo MinSizeRel." FORCE )
endif()

=== src/CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8.2 )

include(CheckCXXCompilerFlag)

CHECK_CXX_COMPILER_FLAG("-std=c++14" COMPILER_SUPPORTS_CXX14)

if(COMPILER_SUPPORTS_CXX14)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
else()
	message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++14 support. Use a different compiler.")
endif()


set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")

if( CMAKE_SIZEOF_VOID_P MATCHES "8" )
	message( STATUS "Flexbar 64 bit architecture" )
	# if( WIN32 )
	# 	link_directories( ${FLEXBAR_SOURCE_DIR}/lib/win64 )
	# elseif( ${CMAKE_SYSTEM_NAME} MATCHES "Darwin" )
	# 	link_directories( ${FLEXBAR_SOURCE_DIR}/lib/macosx )
	# else() # assuming linux, or adjust to your system's tbb lib
	# 	link_directories( ${FLEXBAR_SOURCE_DIR}/lib/linux64 )
	# endif()
else()
	message( STATUS "Flexbar 32 bit architecture" )
	# if( WIN32 )
	# 	link_directories( ${FLEXBAR_SOURCE_DIR}/lib/win32 )
	# else()
	# 	message( FATAL_ERROR "Platform not supported." )
	# endif()
endif()

add_executable( flexbar Flexbar.cpp )
target_link_libraries( flexbar tbb -lpthread )


find_package( ZLIB )
if( ZLIB_FOUND )
    include_directories( ${ZLIB_INCLUDE_DIRS} )
    target_link_libraries( flexbar ${ZLIB_LIBRARIES} )
	add_definitions( "-DSEQAN_HAS_ZLIB=1" )
else()
	message( STATUS "Build will not support zlib." )
endif()

find_package( BZip2 )
if( BZIP2_FOUND )
	include_directories( ${BZIP2_INCLUDE_DIRS} )
	target_link_libraries( flexbar ${BZIP2_LIBRARIES} )
	add_definitions( "-DSEQAN_HAS_BZIP2=1" )
else()
	message( STATUS "Build will not support bzip2." )
endif()

# find_package( TBB REQUIRED )
# if( NOT TBB_FOUND )
# 	message( FATAL_ERROR "TBB library not found." )
# endif()

set( SEQAN_CTD_EXECUTABLES ${SEQAN_CTD_EXECUTABLES} flexbar CACHE INTERNAL "" )

# set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "/Users/jtr/Downloads/seqan-trunk/util/cmake" )
# set( SEQAN_FIND_DEPENDENCIES ZLIB BZip2 )
# find_package( SeqAn REQUIRED )

# add_definitions( ${SEQAN_DEFINITIONS} )
# include_directories( ${SEQAN_INCLUDE_DIRS} )
# target_link_libraries( flexbar ${SEQAN_LIBRARIES} )
# set( SEQAN_HAS_ZLIB FALSE )

=== debian/changelog ===
flexbar (1:3.0.3-2) unstable; urgency=medium

  * Do not build with -march=native
    Closes: #873429

 -- Andreas Tille <tille@debian.org>  Sun, 27 Aug 2017 22:08:09 +0200

flexbar (1:3.0.3-1) unstable; urgency=medium

  * New upstream version
    Closes: #853403
  * Moved packaging from SVN to Git
  * debhelper 10
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 26 Aug 2017 23:18:31 +0200

flexbar (1:3.0.0-1) experimental; urgency=medium

  * New upstream version now at Github
  * cme fix dpkg-control
  * Build-Depends: libseqan2-dev (>= 2.1.1)
  * Fix lintian-overrides
  * hardening=+all
  * Fix build time test

 -- Andreas Tille <tille@debian.org>  Sat, 08 Apr 2017 08:15:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
            Tony Travis <ajt@minke.ukfsn.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libtbb-dev,
                cmake,
-               seqan-dev (>= 1.4.1),
+               libseqan2-dev,
                zlib1g-dev,
                libbz2-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/flexbar/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/flexbar/trunk/
-Homepage: https://sourceforge.net/projects/flexbar/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/flexbar.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/flexbar.git
+Homepage: https://github.com/seqan/flexbar
 
 Package: flexbar
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	cd test ; \
	export PATH="$(CURDIR)/obj-$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE):$$PATH" ; \
	echo $$PATH ; \
	export HOME=/tmp ; \
	which flexbar ; \
	./flexbar_test.sh

override_dh_auto_clean:
	dh_auto_clean
	rm -f test/result_*fast[aq]

## flexbar 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project( FLEXBAR )
 
-set( SEQAN_APP_VERSION "3.0.3" )
+set( SEQAN_APP_VERSION "3.4.0" )
 
 include_directories( ${FLEXBAR_SOURCE_DIR}/include )
 # link_directories( ${FLEXBAR_SOURCE_DIR}/lib )

=== debian/changelog ===
flexbar (1:3.4.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild

 -- root <root@loongson-pc>  Fri, 01 Apr 2022 17:51:00 +0800

flexbar (1:3.4.0-2) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sat, 04 Aug 2018 14:21:27 +0800

flexbar (1:3.4.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5
  * Respekt DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Sun, 29 Jul 2018 09:46:44 +0200

flexbar (1:3.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 May 2018 15:54:36 +0200

flexbar (1:3.1.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata:
    - added RRIDs
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2018 15:25:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
            Tony Travis <ajt@minke.ukfsn.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libtbb-dev,
                cmake,
                libseqan2-dev,
                zlib1g-dev,
                libbz2-dev
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/flexbar.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/flexbar.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/med-team/flexbar
+Vcs-Git: https://salsa.debian.org/med-team/flexbar.git
 Homepage: https://github.com/seqan/flexbar
 
 Package: flexbar

## flexbar 3.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project( FLEXBAR )
 
-set( SEQAN_APP_VERSION "3.4.0" )
+set( SEQAN_APP_VERSION "3.5.0" )
 
 include_directories( ${FLEXBAR_SOURCE_DIR}/include )
 # link_directories( ${FLEXBAR_SOURCE_DIR}/lib )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -59,12 +59,3 @@
 # endif()
 
 set( SEQAN_CTD_EXECUTABLES ${SEQAN_CTD_EXECUTABLES} flexbar CACHE INTERNAL "" )
-
-# set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "/Users/jtr/Downloads/seqan-trunk/util/cmake" )
-# set( SEQAN_FIND_DEPENDENCIES ZLIB BZip2 )
-# find_package( SeqAn REQUIRED )
-
-# add_definitions( ${SEQAN_DEFINITIONS} )
-# include_directories( ${SEQAN_INCLUDE_DIRS} )
-# target_link_libraries( flexbar ${SEQAN_LIBRARIES} )
-# set( SEQAN_HAS_ZLIB FALSE )

=== debian/changelog ===
flexbar (1:3.5.0-7) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1112919
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 13:51:58 +0200

flexbar (1:3.5.0-6) experimental; urgency=medium

  * Team upload.
  * d/control: Experimental rebuild using the 3rd release candidate of
    SeqAn 2.5.0
  * Added patch for the explicit seqan2 namespace.
  * salsa ci: allow reprotest to fail

 -- Enrico Seiler <enrico.seiler.debian@outlook.com>  Tue, 26 Nov 2024 16:04:46 +0100

flexbar (1:3.5.0-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Set upstream metadata fields: Archive.
  * Port to onetbb (thanks to Liam Keegan - see
     https://github.com/seqan/flexbar/pull/41/)
    Closes: #1008220, #1011656
  * Fix watch file

  [ Étienne Mollier ]
  * onetbb.patch: port Paired* classes.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Feb 2023 11:37:36 +0100

flexbar (1:3.5.0-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:10:17 +0200

flexbar (1:3.5.0-3) unstable; urgency=medium

  * Team Upload.
  [ Steffen Möller ]
  * Added ref to conda

  [ Nilesh Patra ]
  * Clean up after build-time tests
    (Fixes un-reproducible build)
  * Really add autopkgtests
  * Remove useless file
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Switch watch version to 4

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 22 Dec 2020 09:30:50 +0530

flexbar (1:3.5.0-2) unstable; urgency=medium

  * Team upload.

  [Saira Hussain]
  * Add autopkgtest

 -- Saira Hussain <saira.h0213@zoho.com>  Fri, 02 Aug 2019 11:43:53 +0100

flexbar (1:3.5.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jul 2019 21:27:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: flexbar
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Tony Travis <ajt@minke.ukfsn.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
+ Tony Travis <ajt@minke.ukfsn.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               libtbb-dev,
-               cmake,
-               libseqan2-dev,
-               zlib1g-dev,
-               libbz2-dev
-Standards-Version: 4.1.5
+Build-Depends:
+ debhelper-compat (= 13),
+ libtbb-dev,
+ cmake,
+ libseqan2-dev,
+ zlib1g-dev,
+ libbz2-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/flexbar
 Vcs-Git: https://salsa.debian.org/med-team/flexbar.git
 Homepage: https://github.com/seqan/flexbar
+Rules-Requires-Root: no
 
 Package: flexbar
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: flexible barcode and adapter removal for sequencing platforms
  Flexbar preprocesses high-throughput sequencing data efficiently. It
  demultiplexes barcoded runs and removes adapter sequences. Moreover,

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,20 @@
 %:
 	dh $@
 
+override_dh_auto_configure-arch:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
+
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd test ; \
 	export PATH="$(CURDIR)/obj-$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE):$$PATH" ; \
 	echo $$PATH ; \
 	export HOME=/tmp ; \
 	which flexbar ; \
 	./flexbar_test.sh
+	rm -f test/result_*fast[aq] test/result_*.log
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f test/result_*fast[aq]
+	rm -f test/result_*fast[aq] test/result_*.log

=== debian/watch ===
Version: 5

Template: Github
Owner: seqan
Project: flexbar
